<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Graham Featherstone - Introduction</title>
    <link href="../../styles.css" rel="stylesheet" />
</head>

<body>
    <header>
        <div class="container">
            <div class="text-container">
                <h1>Graham Featherstone</h1>
                <p>Chemical Engineering Student | Teacher | Enthusiast</p>
            </div>
            <img src="../../Cropped2.jpg" width="200px">
        </div>
    </header>

    <section>
        <h1>Final Project</h1>
        <h2>
            Build a fibre spinning setup for regenerated cellulose fibres.
        </h2>
        <hl>
            <li>An extruder which can push a viscous solution through a spinneret</li>
            <li>Variable speed rotating objects for fibre elongation and collection</li>
            <li>Temperature sensor in the first and second regeneration bath</li>
            <li>Method of logging the temperature in the first and second bath</li>
            <li>Method of controlling the speed of the rotators to cause elongation of the fibres.</li>
        </hl>
        <h2>
            Concept
        </h2>
        <p>
            Cellulose is soluble in only a select number of solvents. Based on the solvent, regeneration of dissolved
            cellulose into films and fibres is typically done with a counter-solvent or by disrupting its dissolution
            system. In my case, I would like to make a rather
            low tech cellulose fibre regeneration system that I can pilot at my work. Currently we have a very large
            dissolution and regeneration system which requires a large amount of work to test my experimental results. I
            am hoping that I will be able to design a double regeneration
            bath system with electric motors which will drive the fiber regeneration process. The hardest component will
            be the extruder (syringe pump or screw extruder) depending on price and availability. The regeneration tanks
            I would like to laser cut out of thick acrylic after ensuring that
            it is resistant in both acidic and highly alkaline environments. The rollers need to be speed controlled so
            that I can control the regeneration elongation at 2 or 3 different stages to obtain the optimal alignment of
            cellulose fibres; thereby maximizing cristallinity upon final setting. Below is a
            sketch of my initial idea.
        </p>
        <div class="image-container">
            <img src="FinalProjectImages/Image1.JPG" width="1000px">
        </div>
        <p>More Detail Below</p>
        <div class="image-container">
            <img src="FinalProjectImages/Image2.JPG" width="1000px">
        </div>
        <p> Maybe I need to look at the design of the syringe pump...</p>
    </section>

    <section>
        <h1>Updates 08.05.2024</h1>
        <p>Some new updates have been made to the above design. I tried to simplify some of the parts, and reduce the
            size and geometry of the final
            device so that it can fit on a relatively small space. I also needed to work extensively on the spinneret
            body design, as this part will take a
            significantly high-pressure.
        </p>
        <p>
            The final design consists of 6 motors (brushed or brushless). I still need to consider the limitations of
            both brushed and brushless motors and the torque and velocity that these
            two motor types can provide. I am considering using brushed PWM motors where I will be able to control both
            the speed and direction by applying digital signals (PWN, HIGH, LOW). This should allow me for consistent
            speed
            control of the motors. I will need to test this, but I think that, as an example, a PWM signal of 25 is
            supplied to motors (V1), and a PWM signal of 50 is supplied to motor (V2), that motor V2 should be spinning
            at twice the velocity of motor 2.
            This would then be considered a stretching ratio of 2:1 between motor 2 : motor 1.
        </p>
        <p> The term "passive godet" is a roller which is a neutral bearing. These rollers should have as little
            friction as possible so that they do not cause any elongation or drag on the fibres, but that it simply
            leads them to the active godets.</p>
        <div class="image-container">
            <img src="FinalProjectImages/Image3.JPG" width="1000px">
        </div>
        <p> The spinneret container took me a significant amount of time to design in my head. Since I will not be
            manufacturing a spinneret (they are very precise and expensive), I will be borrowing one of known dimensions
            from my work, or from the university to test
            my machine. I will need to take all of the measurements for the spinneret using a vernier caliper and then
            design it in Fusion 360. I will then design all of the other piece around the spinneret including PIECE A,
            PIECE B, and PIECE C in the following image.
            The role of each piece is to provide a waterproof and airtight connection between the external syringe pump
            and the regeneration bath. Piece C will be submerged in the regeneration bath, therefor it is important to
            have the gasket track (pictured as solid black)
            to maintain seal integrity. The purpose of PIECE B is to secure the hose within the apparatus by attaching
            it tightly to the tapered end, and securing it between
            piece A and piece C upon tightening. The tapered design should stretch the diameter of the tube, locking it
            into position for the duration of the spinning. This is necessary due to the high-pressure that will be
            pushed through the tube by the syringe pump in order to force the viscous solution through the spinneret. I
            am hoping that this will also help in maintaining the cleanliness of the device.
        </p>
        <p> For this contraption, I am hoping to cast/mould it using a high-strength acid/alkali resistant polymer. I
            will 3D print the mould using the quality setting to ensure that all parts will fit together tightly and
            remain secure for the duration of the spinning. </p>
        <div class="image-container">
            <img src="FinalProjectImages/Image4.JPG" width="1000px">
        </div>
        <p> For the motors V1 and V2, I am considering both brushless and brushed motors. As I do not need precise
            location control, I have ruled out using a stepper motor. However, I do need precise speed control of the
            godets which are connected to the motors.
            For these circumstances, I have considered the 4 motor-drivers in the below image; AMT49400, DRV84, DRV88,
            or the A4953. The single microcontroller that I intend to use for the whole process is the RasberyPi PicoW,
            due to the high number of GPIO pins which I will need to control
            6 motor-drivers, while still having space remaining for LEDs and other components.
        </p>
        <p> I am also considering the Dual TB6612FNG and the DRV8871 motor-drivers</p>
        <div class="image-container">
            <img src="FinalProjectImages/Image5.JPG" width="1000px">
        </div>
        <p> The next step that I am doing is to research the limitations of each of the above mentioned motor-drivers.
            As this is a larger process, I need reliable and high-amperage motors which are able to effectively draw the
            fibres through the regeneration baths. Due to the mass and elongation
            resistance of the fibres, they will be subject to external forces, which is why I need sufficiently powerful
            motors to maintain consistent velocities.
        </p>
        <h1>AMT49400</h1>
        <p>

        </p>
        <h1>DRV84</h1>
        <p>

        </p>
        <h1>DRV88</h1>
        <p>

        </p>
        <h1>A4953</h1>
        <p>

        </p>
        <h1> Motor Selection</h1>
        <p> The motor selection is based on the ability to drive the fibres from the spinneret to the final collector. I
            am planning on using 10cm godets (circumference of 10*pi), some that will be partially immersed in the
            regeneration solution. This means that the motors will need to both be strong enough to
            elongate and draw the cellulose fibres, but also to overcome the water resistance of the regeneration bath.
            However, this will not take an excessively strong motor as the weight of the cellulose fibres will be
            minimal compared to the liquid resistance. However, I am also dealing with 3 motors in series which
            will be running at the same velocity, so this should reduce the work that one motor needs to supply. My two
            motor options are:
        </p>
        <p>
            FIT0441 from Digikey <a href="https://www.digikey.fi/en/products/detail/dfrobot/FIT0441/6588579">link</a>
        </p>
        <p>
            TAMIYA TAM54358 from Amazon <a
                href="https://www.amazon.de/-/en/TAMC4358/dp/B0078JJX72/ref=sr_1_5?sr=8-5">link</a>
        </p>
        <p> I chose the above two motors based on some basic criteria. The first motor (FIT0441) has an integrated
            motordriver and hall-effect sensor which will give me a reading for the RPM of the motor. This simplifies my
            required setup significantly
            as I will not need to separately select motor-drivers and hall-effect sensors. The second motor (TAM54358)
            is a high-torque motor which is very simplistic in design, and cheap to replace if there are any issues.
            Although it seems like a good selection, I will first
            try and see if the FIT0441 is suitable for this pilot machine before deciding on a more complicated final
            design.
        </p>
        <h1>
            Machine Design
        </h1>
        <p> Based on the original design above, I needed to begin selecting the dimensions of the pilot spinning machine
            that I am going to make. The basic criteria are that it needs to be operable by ONE operator, that the
            components are rather cheap and easy to replace,
            that the components should preferably be behind the protector plate which will ensure that they do not come
            into contact with acid/alkali, and that the material selection needs to be such that none of the components
            degrades after several hours of contact with
            acidic/alkali materials.
        </p>
        <h2> Spinneret Casing</h2>
        <div class="image-container">
            <img src="FinalProjectImages/IMPORTANT.JPG" width="1000px">
        </div>
        <p>
            The spinneret casing was a rather difficult piece to design as it relies on the thickness of the casing that
            I will be using for the acid baths. Based on a detailed engineering diagram that I received, I was able to
            recreate the spinneret piece perfectly in Fusion360 (below right). Following the design of the spinneret,
            I eneded to design an adapter that will be able to transfer the liquid from the syringe pump, through a
            tube, to the spinneret. This adapter should sit tight to the spinneret.
        <div class="image-container">
            <img src="FinalProjectImages/Capture1-Large.JPG" width="500px">
            <img src="FinalProjectImages/Capture3-Large.JPG" width="500px">
        </div>
        <p> Once the design of the spinneret and adapter was completed, I noticed one issue (bottom design). As the
            solution will be added to this enclosure, there is a possibility for air pockets to form in the crevices on
            the left and the right. If the air pockets form, this would result in an unstable pressure within the device
            which may affect the final spun fibres. In this case, I fixed the design with the hopes of achieving a more
            laminar flow of the cellulose solution through the spinneret enclosure.
        </p>
        <p>
        <div class="image-container">
            <img src="FinalProjectImages/Capture5HoseAdapter.JPG" width="1000px">
        </div>
        As you can see in the bottom finished design, the diameter of the adapter is equal to the diameter of the
        spinneret. After this difficult design, it was rather simple to begin to build
        a larger device. The bottom piece is the "Acid side" which will be immersed in an acidic solution for several
        hours, and the track around the outside is a tread path for a gasket which will provide a water
        tight seal to the wall of the acid bath. I created this design so that as the threads are tightened, it will
        supply a pressure on the adapter, creating a tight seal with the spinneret. The gap between the two pieces is
        just over 5mm thick (5.2mm), since I am hoping to use
        5mm thick acrylic for the acid bath. The extra 0.2 mm is for the compression of the gasket when the device is
        fully tightened. I have started 3D printing this assembly in PLA to check for the thread fit and dimensional
        fit.
        <div class="image-container">
            <img src="FinalProjectImages/Capture11_Gasket.JPG" width="1000px">
        </div>
        </p>
        <h2> Machine Body</h2>
        <p>
            I did not take many photos of the creation of the while machine body as it was a little too simplistic. The
            backboard and walls are 1cm thick acrylic, and the acid baths (2x) and washing bath (1x) are both made of
            0.5mm thick acrylic.
        <div class="image-container">
            <img src="FinalProjectImages/Capture1.JPG" width="1000px">
        </div>
        The handles for immersing the regenerated fibre into the acid bath was a bit more complicated, but I had
        motivation from a similar device that we are currently operating at my work.
        <div class="image-container">
            <img src="FinalProjectImages/Capture2.JPG" width="500px">
            <img src="FinalProjectImages/Capture3.JPG" width="500px">
        </div>
        The images below show the placement of these rotation devices in the final design, and they will exist in each
        of the baths to help guide the fibres between the motors.
        <div class="image-container">
            <img src="FinalProjectImages/Capture5.JPG" width="500px">
            <img src="FinalProjectImages/Capture6.JPG" width="500px">
        </div>
        Finally, I also added the spinneret body to the design.
        <div class="image-container">
            <img src="FinalProjectImages/Capture9.JPG" width="500px">
            <img src="FinalProjectImages/Capture10.JPG" width="500px">
        </div>
        As an improvement, I think that I will also need to add a gasket on the air-side of the regeneration bath so
        that the spinneret enclosure can be tightly secured to the bath on both the internal and external side. The
        thread that is extruding from the regeneration bath (left side) is to be attached
        to a hose that will be located between the syringe pump and the spinneret. I will be able to clamp the
        outside of the hose around this spinneret enclosure to ensure a tight seal.
        </p>
        <h1>Next Steps</h1>
        <p>
            <ol>
                <li><s>Test the motors that will arrive from digikey, test that they are able to spin the 10cm godets that I have designed.</s></li>
                <li><s>3D print prototype of the spinneret enclosure</s></li>
                <li><s>Hollow out the spindles that are connected to the motors to save weight/materials</s></li>
                <li>Select 3D printable material that is suitable for acid/alkaline contact.</li>
                <li>Order backboard and acid bath materials, decide how to connect them (epoxy or mechanically)</li>
                <li>Create mounting locations for attaching this machine to a wall (not self supporting, just so it doesn't fall)</li>
                <li>Design a winder for the collector, the design is already in my head, I just need to make it in Fusion360</li>
                <li><s>Trial a board with the RP2040 to check the quality of the motor/rpm detection</s></li>
                <li><s>Design a board with the rasberryPi Pico for controlling 5 motors.</s></li>
                <li>Write software for calculating the jet-stretch ratio and post-draw ratio and ramping up the motor speed automatically.</li>
            </ol>
        </p>

        <h1>
            Updates for 23/05/2024
        </h1>
        <p>
            Accomplishments of the week
            <ul>
                <li>Test-board for motors with RP2040</li>
                <li>Programming test-board for motors</li>
                <li>3D print components. Spinneret enclosure, guides, one motor controlled godet.</li>
                <li>Final design for main-board using RasberryPi Pico</li>
                <li>Trial milling the final PCB (unsuccessful)</li>
            </ul>
            <div class="image-container">
                <img src="FinalProjectImages/Images2/Try22.JPG" width="1000px">
            </div>
            <p> The practice board design was rather simplistic because the motors that I ordered (FIT0441) have an integrated motor driver and hall-effect sensor. This greatly simplifies 
                the components that are necessary on my final board. As the motors are 12V, I needed to hook up an external power-supply with a voltage regulator from 12V to 5V to power the RP2040. 
            </p>
            <div class="image-container">
                <img src="FinalProjectImages/Images2/Try23.JPG" width="500px">
                <img src="FinalProjectImages/Images2/Try24.JPG" width="500px">
            </div>
            The motor pin-out is rather simple (below).
            <div class="image-container">
                <img src="FinalProjectImages/Images2/Try10.jpg" width="500px">
            </div>
            The pins for the motor are Power+ (12V), Power-(gnd), PWM (pulsed-width modulation), Directional control, and FG which will output the speed of the motor (RPM) to the microcontroller and is readable using 
            serial communication. 
        </p>
        <p>
            I also designed the motor based on specifications from the FIT0441 data sheet so that I could see how to integrate it into my final design. 
        </p>
        <div class="image-container">
            <img src="FinalProjectImages/Images2/Try19.JPG" width="500px">
            <img src="FinalProjectImages/Images2/Try20.JPG" width="500px">
        </div>
        <div class="image-container">
            <img src="FinalProjectImages/Images2/Try21.JPG" width="500px">
        </div>
        <p>
            Following this, I milled and populated my board for the test-board and 3D printed the first motor controlled godet to make sure that the motor is able to spin the larger diameter godet. 
        </p>
        <div class="image-container">
            <img src="FinalProjectImages/Images2/Try1.jpg" width="500px">
            <img src="FinalProjectImages/Images2/Try2.jpg" width="500px">
        </div>
        <div class="image-container">
            <img src="FinalProjectImages/Images2/Try3.jpg" width="500px">
        </div>
        <p>
            All of the parts worked perfectly on the first try and there were not errors that I was not able to correct. The only issue is that the godet does not have a nice smooth surface, but I think that this will be fixed 
            in the final design as I will be using the epoxy printer. I could also have modified the layer height and the supports to make the final structure nicer; but this is a rapid prototype. 
        </p>
        <p> I then populated my board and uploaded the trial code that is provided by the FIT0441 datasheet. I modified a few parameters because I did not want to hook up the RP2040 to my laptop and power-supply simultaneously. I was a little scared, so I made a few 
            modifications in my final design using a MOSFET to ensure that my laptop will stay protected.  </p>
            <div class="image-container">
                <img src="FinalProjectImages/Images2/Try6.jpg" width="500px">
                <img src="FinalProjectImages/Images2/Try7.jpg" width="500px">
            </div>
            <p> Now that the code was uploaded, I needed to make the connectors so that I could connect the motor to the pinout that I designed for my board. I did this using the Dupont connector kit, 
                and I watched a few YouTube videos to guide me. 
            </p>
            <div class="image-container">
                <img src="FinalProjectImages/Images2/Try4.jpg" width="500px">
                <img src="FinalProjectImages/Images2/Try5.jpg" width="500px">
            </div>
            <div class="image-container">
                <img src="FinalProjectImages/Images2/Try8.jpg" width="500px">
            </div>
            <p> I am going to change the connector type in my final design since it would be rather easy to connect the Dupont connector in the wrong way, thereby providing 12V directly to the microcontroller. I want to avoid this,
                so I will need to make some small modifications to my final design and cable selection. 
            </p>
            <p> Now that the PCB and the cables were completed, it was time to test the board and motor!!</p>
            <div class="image-container">
                <img src="FinalProjectImages/Images2/Try11.jpg" width="500px">
                <img src="FinalProjectImages/Images2/Try12.jpg" width="500px">
            </div>
            <div class="image-container">
                <img src="FinalProjectImages/Images2/Try13.jpg" width="500px">
            </div>
            <p> I clamped the motor with a vice-grip since I was not sure what the velocity of the motor was going to be. This was to protect myself and others around me incase the centripetal force of the motor was too high and would toss the 
                godet like a frisbee. Once the 12V power-supply was connected, the board worked on the first try!!!
            </p>
            <center>
                <video width="400" height="400" controls>
                    <source src="FinalProjectImages/Images2/MotorSpin.mp4" type="video/mp4">
                </video>
            </center>
            <p> Now that the base design functioned perfectly, it is time to start on the final project. The final project is going to involve a RasberryPi Pico which has many pins for controlling the 6 motors that I am going to have running simultaneously. 
                Generally, I used the same design as the trial-board except that I changed the capacitor values, and added a MOSFET transistor so that I can have my laptop connected to the Pico while powering the motors. This is going to allow me to monitor the serial 
                output from the motors and to control the speed using serial input. This design also paves the path that I could use the Pico's WIFI to control the board wordlessly. But I am just hoping to have it work with wires for my final project. 
            </p>
            <div class="image-container">
                <img src="FinalProjectImages/Images2/Try17.JPG" width="500px">
                <img src="FinalProjectImages/Images2/Try18.JPG" width="500px">
            </div>
            <p> I did two trial boards but noticed small issues with each which make them not suitable for my final project. </p>
            <h1>Trial board 1</h1>
            <p> This board milled perfectly on the first try, but I had one reservation about the board. The 12V power path that I designed on the board had a 0.6mm width. As I am going to be running approximately 4A through this path, 
                I thought that it seemed a bit thin and that I might end up having some heating issue. Under supervision from the teacher, I used the KiCad calculator to calculate that I will need a 1mm path to handle the current that my motors 
            are going to be drawing... Back to the design board.</p>
            <div class="image-container">
                <img src="FinalProjectImages/Images2/Try16.jpg" width="500px">
            </div>
            <h1>Trial board 2</h1>
            <p>I fixed the 1mm path for the power supply, but unfortunately the milling surface was unveven and it did not properly mill one circuit path. I did not notice this until I removed the board from the CNC machine, so I was not able to fix it. I will 
                try to make a new board for my final project as the machine is going to be used on a monthly basis. 
            </p>
            <div class="image-container">
                <img src="FinalProjectImages/Images2/Try14.jpg" width="500px">
                <img src="FinalProjectImages/Images2/Try15.jpg" width="500px">
            </div>
            <h1>Update 30/05/2024</h1>
            <p>
                <div class="image-container">
                    <img src="FinalProjectImages/Image6.JPG" width="1000px">
                </div>
            </p>
            <h1>Populating the board</h1>
            <p>
                <div class="image-container">
                    <img src="FinalProjectImages/Images3/i3a.jpg" width="500px">
                    <img src="FinalProjectImages/Images3/i3b.jpg" width="500px">
                </div>
                <div class="image-container">
                    <img src="FinalProjectImages/Images3/i3c.jpg" width="500px">
                    <img src="FinalProjectImages/Images3/i3d.jpg" width="500px">
                </div>
            </p>
            <h1>Wood for the frame</h1>
            <p>
                <div class="image-container">
                    <img src="FinalProjectImages/Images3/i3e.jpg" width="500px">
                    <img src="FinalProjectImages/Images3/i3f.jpg" width="500px">
                </div>
                <div class="image-container">
                    <img src="FinalProjectImages/Images3/i3g.jpg" width="500px">
                    <img src="FinalProjectImages/Images3/i3h.jpg" width="500px">
                </div>
            </p>
            <h1>Motor modelling into Fusion360</h1>
            <p>
                Based on the design specifications of the motor, I modelled the motor into Fusion 360 so that I could properly align it and place it on the backboard. 
                This simplified the mounting holes and the motor shaft locations. 
                <div class="image-container">
                    <img src="FinalProjectImages/MotorModeling/Capture-1.JPG" width="500px">
                    <img src="FinalProjectImages/MotorModeling/Capture-2.JPG" width="500px">
                </div>
                <div class="image-container">
                    <img src="FinalProjectImages/MotorModeling/Capture-3.JPG" width="500px">
                    <img src="FinalProjectImages/MotorModeling/Capture-4.JPG" width="500px">
                </div>
            </p>
            <h1>Power enclosure </h1>
            <p>
                <div class="image-container">
                    <img src="FinalProjectImages/Powersupply/pwr1.JPG" width="500px">
                    <img src="FinalProjectImages/Powersupply/pwr2.JPG" width="500px">
                </div>
                <div class="image-container">
                    <img src="FinalProjectImages/Powersupply/pwr3.JPG" width="500px">
                    <img src="FinalProjectImages/Powersupply/pwr4.JPG" width="500px">
                </div>
            </p>
            <h1>Winding mechanism</h1>
            <p>
                <div class="image-container">
                    <img src="FinalProjectImages/Winder/Wind1.JPG" width="500px">
                    <img src="FinalProjectImages/Winder/Wind2.JPG" width="500px">
                </div>
                <div class="image-container">
                    <img src="FinalProjectImages/Winder/Wind3.JPG" width="500px">
                    <img src="FinalProjectImages/Winder/Wind4.JPG" width="500px">
                </div>
                <div class="image-container">
                    <img src="FinalProjectImages/Winder/Wind4.JPG" width="500px">
                    <img src="FinalProjectImages/Winder/Wind5.JPG" width="500px">
                </div>
                <div class="image-container">
                    <img src="FinalProjectImages/Winder/Wind6.JPG" width="500px">
                    <img src="FinalProjectImages/Winder/Wind7.JPG" width="500px">
                </div>
            </p>
            <h1>Almost complete</h1>
            <p> 
                <div class="image-container">
                    <img src="FinalProjectImages/Images4/Frame1.JPG" width="500px">
                    <img src="FinalProjectImages/Images4/Frame2.JPG" width="500px">
                </div>
            </p>

            <h1>Construction of the machine</h1>

            <div class="image-container">
                <img src="FinalProjectImages/Images5/1.jpg" width="500px">
                <img src="FinalProjectImages/Images5/3.jpg" width="500px">
            </div>

            <p>All of the cables needed to be lengthened manually. Since the machine is longer than 1m, this meant that several of the components were located 
                far away from the Pico. I also added a spacer between by board and the wooden frame which was simply a 3D printed piece of PLA. 
            </p>

            <div class="image-container">
                <img src="FinalProjectImages/Images5/4.jpg" width="500px">
                <img src="FinalProjectImages/Images5/5.jpg" width="500px">
            </div>

            <p>The final board (left) and the food that I needed to order this evening (right). This was the evening where it was "crunch" time and I worked at the FabLab 
                with another student until 4am to have my device working by the deadline. 
            </p>

            <div class="image-container">
                <img src="FinalProjectImages/Images5/6.jpg" width="500px">
                <img src="FinalProjectImages/Images5/7.jpg" width="500px">
            </div>

            


            <div class="image-container">
                <img src="FinalProjectImages/Images5/10.jpg" width="500px">
                <img src="FinalProjectImages/Images5/11.jpg" width="500px">
            </div>

            <div class="image-container">
                <img src="FinalProjectImages/Images5/12.jpg" width="500px">
                <img src="FinalProjectImages/Images5/13.jpg" width="500px">
            </div>

            <div class="image-container">
                <img src="FinalProjectImages/Images5/a.jpg" width="500px">
                <img src="FinalProjectImages/Images5/b.jpg" width="500px">
            </div>

            <div class="image-container">
                <img src="FinalProjectImages/Images5/c.jpg" width="500px">
                <img src="FinalProjectImages/Images5/d.jpg" width="500px">
            </div>

            <div class="image-container">
                <img src="FinalProjectImages/Images5/e.jpg" width="500px">
                <img src="FinalProjectImages/Images5/f.jpg" width="500px">
            </div>

            <div class="image-container">
                <img src="FinalProjectImages/Images5/g.jpg" width="500px">
                <img src="FinalProjectImages/Images5/h.jpg" width="500px">
            </div>

            <div class="image-container">
                <img src="FinalProjectImages/Images5/i.jpg" width="500px">
                <img src="FinalProjectImages/Images5/j.jpg" width="500px">
            </div>

            <div class="image-container">
                <img src="FinalProjectImages/Images5/k.jpg" width="500px">
                <img src="FinalProjectImages/Images5/l.jpg" width="500px">
            </div>

            <div class="image-container">
                <img src="FinalProjectImages/Images5/m.jpg" width="500px">
                <img src="FinalProjectImages/Images5/n.jpg" width="500px">
            </div>

            <div class="image-container">
                <img src="FinalProjectImages/Images5/o.jpg" width="500px">
                <img src="FinalProjectImages/Images5/p.jpg" width="500px">
            </div>

            <div class="image-container">
                <img src="FinalProjectImages/Images5/q.jpg" width="500px">
                <img src="FinalProjectImages/Images5/r.jpg" width="500px">
            </div>

            <div class="image-container">
                <img src="FinalProjectImages/Images5/s.jpg" width="500px">
                <img src="FinalProjectImages/Images5/t.jpg" width="500px">
            </div>

            <div class="image-container">
                <img src="FinalProjectImages/Images5/u.jpg" width="500px">
                <img src="FinalProjectImages/Images5/v.jpg" width="500px">
            </div>

            <h1>Power Supply</h1>

            <div class="image-container">
                <img src="FinalProjectImages/Images5/w.jpg" width="500px">
                <img src="FinalProjectImages/Images5/x.jpg" width="500px">
            </div>

            <div class="image-container">
                <img src="FinalProjectImages/Images5/y.jpg" width="500px">
                <img src="FinalProjectImages/Images5/z.jpg" width="500px">
            </div>

            <h1>First Video</h1>
            <p>Here is a quick video of the completed final project with all components attached.</p>
            
            <video width="720" height="480" autoplay muted>
                <source src="FinalProjectImages/Images5/machine.mp4" type="video/mp4">
              Your browser does not support the video tag.
            </video>
            <h1>Second Video</h1>
            <p>Video showing the first RaspberryPi pico. Strangely two of the pins at the top were shorted together and could not be fixed. I needed to change to a different pico. </p>

            <video width="720" height="480" autoplay muted>
                <source src="FinalProjectImages/Images5/untitled.mp4" type="video/mp4">
              Your browser does not support the video tag.
            </video>

            <h1>Video 3</h1>
            <p>The third video shows the final functioning interface. The user can input an RPM value and the motors will automatically adjust. This video simply shows that the motor speeds can be adjusted.</p>

            <video width="720" height="480" autoplay muted>
                <source src="FinalProjectImages/Images5/graph1.mp4" type="video/mp4">
              Your browser does not support the video tag.
            </video>

            

    </section>



</body>

</html>